#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
    int n,k,br=1,l=0,b=0;
    cin>>n>>k;
    int a[n],d[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    sort(a,a+n);
    for(int i=1;i<n;i++)
    {
        if(a[i]==a[i-1])
        {
            br++;
            if(br>=k){
                    if(l==0)
                    {
                        d[l]=a[i];
                        l++;
                        b++;
                    }
                    else{
                    if(d[l-1]!=a[i]){
                    d[l]=a[i];
                    l++;
                    b++;
                    }
                }
            }
        }
        else{
            br=1;
        }
    }
    cout<<b<<'\n';
    for(int i=0;i<b;i++)
        cout<<d[i]<<" ";
}